## python-rarfile 2.7

=== Makefile ===

prefix = /usr/local

web = mkz@shell.berlios.de:/home/groups/rarfile/htdocs

all:
	python setup.py build

install:
	python setup.py install --prefix=$(prefix)

tgz: clean
	python setup.py sdist

clean:
	rm -rf __pycache__ build dist
	rm -f *.pyc MANIFEST *.orig *.rej *.html *.class
	rm -rf doc/_build doc/_static doc/_templates
	make -C test clean

html:
	rst2html README.rst > README.html
	make -C doc html

lint:
	pylint -E rarfile.py

rbuild:
	curl -X POST http://readthedocs.org/build/6715

=== test/Makefile ===
test:
	./test.sh

clean:
	rm -rf __pycache__
	rm -f files/*.rar.[pj]* *.pyc *.class *.diffs
	rm -f rarfile.py

## python-rarfile 2.6

=== debian/changelog ===
python-rarfile (2.6-1) unstable; urgency=low

  * Initial release (Closes: #680085)

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Mon, 09 Jun 2014 18:59:40 +0200

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python-all (>= 2.6.6),
               python-setuptools,
               python3-all,
               python3-setuptools 
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/markokr/rarfile
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-rarfile/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-rarfile/trunk/

Package: python-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends}, 
         bsdtar (>= 3.0.4), 
         unrar-free
Description: RAR archive reader module for Python (python 2)
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
 multi volumes archives, unicode filenames, but the password protected are not 
 supported in this version.
 .
 This is the python2 version of the package.

Package: python3-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python3:Depends}, 
         bsdtar (>= 3.0.4), 
         unrar-free
Description: RAR archive reader module for Python (python 3)
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
 multi volumes archives, unicode filenames, but the password protected are not 
 supported in this version.
 .
 This is the python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=rarfile

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/r/rarfile/rarfile-(.+)\.tar\.gz

## python-rarfile 2.7

=== debian/changelog ===
python-rarfile (2.7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/compat:
    - Bump compat level to 9.
  * debian/control:
    - Bump debhelper's minimal version to 9.
  * debian/watch:
    - Use pypi.debian.net instead of pypi.python.org, following
      DebianWiki's recommendation.
  * debian/copyright:
    - Update copyright years.
  * Delete README.Debian and python3-rarfile.README.Debian (no more 
    relevant due to last upstream release).

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Fri, 10 Apr 2015 23:08:35 +0200

python-rarfile (2.7-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Update python-rarfile's and python-rarfile3's synopsis to 
      fix capitalization errors.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sun, 14 Dec 2014 12:02:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6),
                python-setuptools,
                python3-all,
                python3-setuptools 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/markokr/rarfile
@@ -23,7 +23,7 @@
          ${python:Depends}, 
          bsdtar (>= 3.0.4), 
          unrar-free
-Description: RAR archive reader module for Python (python 2)
+Description: RAR archive reader module for Python (Python 2)
  This is a Python module for RAR archive reading. The interface is made
  a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
  multi volumes archives, unicode filenames, but the password protected are not 
@@ -38,7 +38,7 @@
          ${python3:Depends}, 
          bsdtar (>= 3.0.4), 
          unrar-free
-Description: RAR archive reader module for Python (python 3)
+Description: RAR archive reader module for Python (Python 3)
  This is a Python module for RAR archive reading. The interface is made
  a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
  multi volumes archives, unicode filenames, but the password protected are not

## python-rarfile 2.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 
 prefix = /usr/local
-
-web = mkz@shell.berlios.de:/home/groups/rarfile/htdocs
 
 all:
 	python setup.py build
@@ -26,5 +24,8 @@
 	pylint -E rarfile.py
 
 rbuild:
-	curl -X POST http://readthedocs.org/build/6715
+	curl -X POST https://readthedocs.org/build/6715
 
+upload:
+	python setup.py sdist upload
+

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 test:
-	./test.sh
+	./test1.sh
+	./test2.sh
 
 clean:
 	rm -rf __pycache__

=== debian/changelog ===
python-rarfile (2.8-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Hugo Lefeuvre ]
  * New upstream release.
  * debian/control:
    - Fix unnecessary versioned dependency python-all in the Build-Depends
      field.
    - Fix unnecessary versioned dependency bsdtar in the Depends field.
    - Bump Standards-Version to 3.9.8.
    - Update synopsis for both python2 and python3 packages to remove
      redundant word 'Python'.
  * debian/copyright:
    - Update Format field to match DEP5 recommendations.
    - Update copyright years.
  * debian/control, debian/copyright:
    - Update Hugo Lefeuvre's e-mail address.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 18 Jun 2016 21:45:36 +0200

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools 
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/markokr/rarfile
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-rarfile.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-rarfile.git

Package: python-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends}, 
         bsdtar, 
         unrar-free
Description: RAR archive reader module for Python 2
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
 multi volumes archives, unicode filenames, but the password protected are not 
 supported in this version.
 .
 This is the python2 version of the package.

Package: python3-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python3:Depends}, 
         bsdtar, 
         unrar-free
Description: RAR archive reader module for Python 3
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR 2.x and 3.x archives,
 multi volumes archives, unicode filenames, but the password protected are not 
 supported in this version.
 .
 This is the python3 version of the package.

## python-rarfile 3.0

=== Makefile ===

prefix = /usr/local

all:
	pyflakes3 rarfile.py
	tox

install:
	python setup.py install --prefix=$(prefix)

tgz: clean
	python setup.py sdist

clean:
	rm -rf __pycache__ build dist
	rm -f *.pyc MANIFEST *.orig *.rej *.html *.class
	rm -rf doc/_build doc/_static doc/_templates doc/html
	rm -rf .coverage cover*
	rm -rf *.egg-info
	rm -f test/files/*.rar.[pjt]* *.diffs

toxclean: clean
	rm -rf .tox

rbuild:
	curl -X POST https://readthedocs.org/build/6715

upload:
	python setup.py sdist upload

ack:
	for fn in test/files/*.py27; do \
		cp $$fn `echo $$fn | sed 's/py27/exp/'` || exit 1; \
	done

=== debian/changelog ===
python-rarfile (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level from 9 to 10.
  * debian/control:
    - Bump Standards to 4.1.0.
    - Update description to match new upstream release.
    - Depend on debhelper >= 10 instead of >= 9.
    - Depend exclusively on libarchive-tools instead of bsdtar and
      unrar-free (Closes: #797730).
  * Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 05 Oct 2017 10:41:21 +0200

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/markokr/rarfile
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-rarfile.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-rarfile.git

Package: python-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends},
         libarchive-tools
Description: RAR archive reader module for Python 2
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR3 and RAR5 archives,
 multi volumes archives, unicode filenames and password protected archives.
 .
 This is the python2 version of the package.

Package: python3-rarfile
Architecture: all
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python3:Depends},
         libarchive-tools
Description: RAR archive reader module for Python 3
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR3 and RAR5 archives,
 multi volumes archives, unicode filenames and password protected archives.
 .
 This is the python3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export DH_VERBOSE=1
 export PYBUILD_NAME=rarfile
 
 %:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/rarfile/rarfile-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rarfile 3.1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,19 @@
+
+VER := $(shell python3 setup.py --version)
+TGZ = dist/rarfile-$(VER).tar.gz
 
 prefix = /usr/local
 
 all:
 	pyflakes3 rarfile.py
-	tox
+	tox -e lint
+	tox -e py36-cryptography
+	tox -e py37
 
 install:
 	python setup.py install --prefix=$(prefix)
 
-tgz: clean
-	python setup.py sdist
+tgz: clean $(TGZ)
 
 clean:
 	rm -rf __pycache__ build dist
@@ -25,8 +29,11 @@
 rbuild:
 	curl -X POST https://readthedocs.org/build/6715
 
-upload:
-	python setup.py sdist upload
+$(TGZ):
+	python3 setup.py sdist
+
+upload: $(TGZ)
+	twine upload $(TGZ)
 
 ack:
 	for fn in test/files/*.py27; do \

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RarFile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RarFile.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RarFile"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RarFile"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-rarfile (3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Update copyright years.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 30 Oct 2019 14:50:15 +0100

python-rarfile (3.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 21:29:17 +0200

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/markokr/rarfile
Vcs-Git: https://salsa.debian.org/python-team/modules/python-rarfile.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rarfile
Testsuite: autopkgtest-pkg-python

Package: python3-rarfile
Architecture: all
Depends: libarchive-tools,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: RAR archive reader module for Python 3
 This is a Python module for RAR archive reading. The interface is made
 a zipfile like as possible. It supports both RAR3 and RAR5 archives,
 multi volumes archives, unicode filenames and password protected archives.
 .
 This is the python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=rarfile

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rarfile/rarfile-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rarfile 4.1

=== Makefile ===

prefix = /usr/local

REPO = https://github.com/markokr/rarfile
NEWS = doc/news.rst

PACKAGE = $(shell python3 setup.py --name)
VERSION = $(shell python3 setup.py --version)
RXVERSION = $(shell python3 setup.py --version | sed 's/\./[.]/g')
TAG = v$(VERSION)
TGZ = $(PACKAGE)-$(VERSION).tar.gz
WHEEL = $(PACKAGE)-$(VERSION)-py3-none-any.whl
URL = $(REPO)/releases/download/$(TAG)

all:
	pyflakes rarfile.py
	tox -e lint
	tox -e py38-cryptography -- -n auto

install:
	python setup.py install --prefix=$(prefix)

clean:
	rm -rf __pycache__ build dist .tox
	rm -f *.pyc MANIFEST *.orig *.rej *.html *.class test/*.pyc
	rm -rf doc/_build doc/_static doc/_templates doc/html
	rm -rf .coverage cover*
	rm -rf *.egg-info
	rm -f test/files/*.rar.[pjt]* *.diffs

toxclean: clean
	rm -rf .tox

ack:
	for fn in test/files/*.py38-cryptography; do \
		cp $$fn `echo $$fn | sed 's/[.]py.*/.exp/'` || exit 1; \
	done

prepare:
	@echo "Checking version - $(VERSION)"
	@grep -qE '^\w+ $(RXVERSION)\b' $(NEWS) \
	|| { echo "Version '$(VERSION)' not in $(NEWS)"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: prepare
	git tag $(TAG)
	git push github $(TAG):$(TAG)

upload:
	mkdir -p dist && rm -f dist/*
	cd dist && wget -q $(URL)/$(TGZ)
	cd dist && wget -q $(URL)/$(WHEEL)
	tar tvf dist/$(TGZ)
	unzip -t dist/$(WHEEL)
	twine upload dist/$(TGZ) dist/$(WHEEL)

shownote:
	awk -v VER="$(VERSION)" -f doc/note.awk $(NEWS) \
	| pandoc -f rst -t gfm --wrap=none

unrelease:
	git push github :$(TAG)
	git tag -d $(TAG)

dist-test:
	python3 setup.py sdist
	rm -rf $(PACKAGE)-$(VERSION)
	tar xf dist/$(TGZ)
	cd $(PACKAGE)-$(VERSION) && tox

=== debian/changelog ===
python-rarfile (4.1-2) unstable; urgency=medium

  * Control: add all supported compression backends as suggested
    dependencies.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 21 Sep 2023 09:40:21 +0000

python-rarfile (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Control: new maintainer. (Closes: #1050272)
  * Control: bump compat level to 13 (from 12).
  * Control: bump std-ver to 4.6.2 (from 4.4.1).
  * Control: update description.
  * Control: add build-dep on pybuild-plugin-pyproject.
  * Control: replace build-dep on dh-python with dh-sequence-python3.
  * Control: add build-deps on 7zip, libarchive-tools, p7zip, python3-
    cryptodome, python3-pytest, unar to support running the upstream
    testsuite on build.
  * Rules: exclude tests that require (non-free) unrar.
  * Control: remove dependency on ${shlibs:Depends}, pointless for an
    arch-all package.
  * Control: add dependency on python3-cryptodome to the binary pkg.
  * Docs: remove d/python3-rarfile.docs, duplicate of d/docs.
  * Watch: bump version to 4 (from 3; no further changes).
  * Copyright: bump upstream years, add myself for the packaging.
  * Copyright: fix typo in ISC license text.
  * Add upstream/metadata file.
  * Control: set Testsuite to autopkgtest-pkg-pybuild.
  * Control: set Rules-Requires-Root: no.
  * Patches: add 01 to avoid using the module itself as a pybuild
    testfile.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 20 Sep 2023 09:15:39 +0000

python-rarfile (3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:31:13 -0400

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Jeroen Ploemen <jcfp@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 7zip <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libarchive-tools <!nocheck>,
 p7zip <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all <!nocheck>,
 python3-pycryptodome <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 unar <!nocheck>,
# Disable tests that use (non-free) unrar instead of build-depending
# on that package, to avoid forcing the rarfile package into contrib.
# unrar <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/markokr/rarfile
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rarfile.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rarfile
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-rarfile
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pycryptodome,
Suggests:
 7zip,
 libarchive-tools,
 p7zip,
 unar,
 unrar,
Description: RAR archive reader module for Python
 Rarfile is a Python module for reading RAR archives. The interface is made
 as zipfile-like as possible. It supports both RAR3 and RAR5 archives,
 multi volumes archives, unicode filenames and password-protected archives.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=rarfile
export PYBUILD_TEST_ARGS=-k "not (test_unrar_tool or test_reading)"

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

## python-rarfile 4.2

=== debian/changelog ===
python-rarfile (4.2-3~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.
  * CI: add d/.gitlab-ci.yml with release set to bookworm-backports.
  * Control, tests: remove support for and dependencies on unrar-free,
    version in bookworm is too old for use with rarfile.
  * Control, tests: remove dependencies on 7zip-standalone, introduced
    after bookworm was released.
  * Rules, tests: restore old PYBUILD_TEST_ARGS to avoid test breakage.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 23 Oct 2025 10:48:09 +0000

python-rarfile (4.2-3) unstable; urgency=medium

  * Control: remove nocheck marker from build-dep on python3-all.
  * Control, tests: add (build-)dep on 7zip-standalone, for 7zz.
  * Control: add a suggested dep on 7zip-standalone in the binary
    package, same as other supported archiver utils.
  * Patches: add 02_avoid_test_breakage.diff, to xfail all tests
    affected by an issue involving gnustep and unar.
  * Tests: allow all test runs to complete even in case of failures.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 06 Mar 2025 07:19:49 +0000

python-rarfile (4.2-2) unstable; urgency=medium

  * Control: drop (build-)deps on python3-pycryptodome, unused.
  * Control: add build-depend and suggest on unrar-free, now that a
    recent enough version of that was packaged.
  * Rules: disable all tests that unrar-free cannot handle.
  * Tests: leverage the alternatives mechanism to run the upstream
    testsuite with both unrar-nonfree and unrar-free; for the latter,
    disable a large number of tests broken by its limited format
    support.
  * Bump Standards-Version to 4.7.0 (no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 19 Oct 2024 06:47:17 +0000

python-rarfile (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Control: remove build-dep and suggest on p7zip. (Closes: #1063613)
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Control: add build-dep on python3-cryptography, needed for tests.
  * Copyright: bump years.
  * Rules: add test_rar3_header_encryption to skipped-on-build tests.
  * Tests: move away from autopkgtest-pkg-pybuild in favour of custom
    d/tests, to enable running tests that use non-free unrar as part
    of the autopkgtest.
  * Control: add python3-cryptography as an alternative dep for python3-
    pycryptodome.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 07 Apr 2024 07:48:27 +0000

=== debian/control ===
Source: python-rarfile
Section: python
Priority: optional
Maintainer: Jeroen Ploemen <jcfp@debian.org>
Build-Depends:
 7zip <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libarchive-tools <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cryptography <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 unar <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/markokr/rarfile
Vcs-Git: https://salsa.debian.org/jcfp/python-rarfile.git
Vcs-Browser: https://salsa.debian.org/jcfp/python-rarfile
Rules-Requires-Root: no

Package: python3-rarfile
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-cryptography,
Suggests:
 7zip,
 libarchive-tools,
 unar,
 unrar,
Description: RAR archive reader module for Python
 Rarfile is a Python module for reading RAR archives. The interface is made
 as zipfile-like as possible. It supports both RAR3 and RAR5 archives,
 multi volumes archives, unicode filenames and password-protected archives.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=rarfile
export PYBUILD_TEST_ARGS=-k "not (test_unrar_tool or test_reading or test_rar3_header_encryption)"

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/news.rst

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest, 7zip, libarchive-tools, unar, unrar

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rarfile/rarfile-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
